/****************************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef QTBRUSHPATTERNEDITOR_H
#define QTBRUSHPATTERNEDITOR_H

#include <QWidget>

class QtBrushPatternEditor : public QWidget
{
    Q_OBJECT
public:
    QtBrushPatternEditor(QWidget *parent = 0);
    ~QtBrushPatternEditor();

    void setBrush(const QBrush &brush);
    QBrush brush() const;

private:
    class QtBrushPatternEditorPrivate *d_ptr;
    Q_DECLARE_PRIVATE(QtBrushPatternEditor)
    Q_DISABLE_COPY(QtBrushPatternEditor)
    Q_PRIVATE_SLOT(d_func(), void slotHsvClicked());
    Q_PRIVATE_SLOT(d_func(), void slotRgbClicked());
    Q_PRIVATE_SLOT(d_func(), void slotPatternChanged(int pattern));
    Q_PRIVATE_SLOT(d_func(), void slotChangeColor(const QColor &color));
    Q_PRIVATE_SLOT(d_func(), void slotChangeHue(const QColor &color));
    Q_PRIVATE_SLOT(d_func(), void slotChangeSaturation(const QColor &color));
    Q_PRIVATE_SLOT(d_func(), void slotChangeValue(const QColor &color));
    Q_PRIVATE_SLOT(d_func(), void slotChangeAlpha(const QColor &color));
};

#endif
